<nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
  <nz-collapse-panel
    [sqtmCoreAnchorPanel]="'issueExecution'"
    [sqtmCoreAnchorCollapsePanel]="'issueExecution'"
    [nzHeader]="issueExecutionTitle"
    [nzExtra]="issuesGridButtons"
    sqtmCoreAnchorLastPanel
  >
    <ng-template #issueExecutionTitle>
      <div class="entity-view-collapse-panel-title">
        {{ 'sqtm-core.sprint.issue-execution' | translate }}
      </div>
    </ng-template>

    <ng-template #issuesGridButtons>
      @if (sprintReqVersionViewComponentData.permissions.canExport) {
        <div class="panel-buttons" (click)="$event.stopPropagation()">
          <sqtm-core-grid-export-menu
            [exportContent]="'sqtm-core.grid.export.issue' | translate"
            [workspaceName]="'sqtm-core.sprint.req-version.title' | translate"
            [fileFormat]="'csv'"
          ></sqtm-core-grid-export-menu>
        </div>
      }
    </ng-template>

    <sqtm-core-issues-panel
      [entityId]="sprintReqVersionViewComponentData.sprintReqVersion.id"
      [entityType]="'SPRINT_REQ_VERSION_TYPE'"
      [bugTracker]="sprintReqVersionViewComponentData.projectData.bugTracker"
      (loadIssues)="loadData()"
    >
      <sqtm-core-grid></sqtm-core-grid>
    </sqtm-core-issues-panel>
  </nz-collapse-panel>
</nz-collapse>
